List User Notifications
ListUserNotifications lists notifications for a user.
Path Parameters
user*string
The user id.
Query Parameters
pageSize?integer
Format
int32pageToken?string
filter?string
Response Body
application/json
application/json
curl -X GET "https://example.com/api/v1/users/string/notifications"{ "notifications": [ { "name": "string", "sender": "string", "senderUser": { "name": "string", "role": "ROLE_UNSPECIFIED", "username": "string", "email": "string", "displayName": "string", "avatarUrl": "string", "description": "string", "password": "string", "state": "STATE_UNSPECIFIED", "createTime": "2019-08-24T14:15:22Z", "updateTime": "2019-08-24T14:15:22Z" }, "status": "STATUS_UNSPECIFIED", "createTime": "2019-08-24T14:15:22Z", "type": "TYPE_UNSPECIFIED", "memoComment": { "memo": "string", "relatedMemo": "string", "memoSnippet": "string", "relatedMemoSnippet": "string" }, "memoMention": { "memo": "string", "relatedMemo": "string", "memoSnippet": "string", "relatedMemoSnippet": "string" }, "spaceInvitation": { "spaceInvitation": "string", "space": { "name": "string", "title": "string", "description": "string", "currentUserRole": "ROLE_UNSPECIFIED", "memberCount": 0, "icon": { "emoji": "string", "lucide": "string" } }, "role": "ROLE_UNSPECIFIED", "state": "STATE_UNSPECIFIED" } } ], "nextPageToken": "string"}